OBJS      = word.o
LIBNAME   = word
SONAME    = libword.so.0.0.1
SOVERSION = libword.so.0
CFLAGS    = -Wall
  
all:    lib$(LIBNAME).so mytest
  
mytest: lib$(LIBNAME).so mytest.o
	gcc $(CFLAGS) -o $@ mytest.o -L. -l${LIBNAME}
  
lib$(LIBNAME).so: $(OBJS)
	gcc -shared $(CFLAGS) $(OBJS) -lc -Wl,-soname -Wl,$(SOVERSION) \
                          -o $(SONAME) 
#&& \
#        ln -sf $(SONAME) $(SOVERSION) && \
#        ln -sf $(SONAME) lib$(LIBNAME).so
  
.c.o:
	gcc -fPIC -DPIC $(CFLAGS) -c -o $*.o $<
  
clean:
	rm -f *.o *.a *.so mytest
        